| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
build_info_t Struct Reference

This structure holds the build information of device/lib/component /user application etc. More...

`#include <isf.h>`

Collaboration diagram for build_info_t:

## Data Fields
uint8 | buildYear
| The Year of the build (valid values: 2000 + buildYear, max value = 2255) More...
uint8 | buildMonth
| The Month of the build (valid values: 1(JAN) to 12(DEC)) More...
uint8 | buildDay
| The Day of the build (valid values: 1 to 31) More...
uint8 | buildHours
| The time of build in hours (in 24-hour notation) (valid values: 0 to 23) More...
uint8 | buildMinutes
| The time of build in minutes (valid values: 0 to 59) More...
uint8 | buildSeconds
| The time of build in seconds (valid values: 0 to 59) More...
uint8 | buildId [MAX_ISF_COMMIT_ID_SIZE]
| The last commit_id from which the build is made. More...

## Detailed Description

This structure holds the build information of device/lib/component /user application etc.

Definition at line 145 of file isf.h.

## Field Documentation

uint8 buildDay

The Day of the build (valid values: 1 to 31)

Definition at line 152 of file isf.h.

Referenced by isf_get_info().

uint8 buildHours

The time of build in hours (in 24-hour notation) (valid values: 0 to 23)

Definition at line 154 of file isf.h.

Referenced by isf_get_info().

uint8 buildId[MAX_ISF_COMMIT_ID_SIZE]

The last commit_id from which the build is made.

Definition at line 160 of file isf.h.

Referenced by isf_get_info().

uint8 buildMinutes

The time of build in minutes (valid values: 0 to 59)

Definition at line 156 of file isf.h.

Referenced by isf_get_info().

uint8 buildMonth

The Month of the build (valid values: 1(JAN) to 12(DEC))

Definition at line 150 of file isf.h.

Referenced by isf_get_info().

uint8 buildSeconds

The time of build in seconds (valid values: 0 to 59)

Definition at line 158 of file isf.h.

Referenced by isf_get_info().

uint8 buildYear

The Year of the build (valid values: 2000 + buildYear, max value = 2255)

Definition at line 148 of file isf.h.

Referenced by isf_get_info().

The documentation for this struct was generated from the following file:

- ISF/Core/Include/isf.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.